package com.beagle.informix.entity.mybatis;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.io.Serializable;
import java.sql.Blob;

/**
 * @author lzz
 * date 2023/5/30
 * @version 1.0
 * description:
 */
@Data
@TableName(value = "cti_vccinfo_new")
public class Vccinfo implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "vccid",  type = IdType.AUTO )
    private Integer vId;
    @TableField(value = "vccname")
    private String vName;
    @TableField(value = "effective")
    private Integer effective;
    @TableField(value = "agentmax")
    private Integer agentMax;
    @TableField(value = "ivrmax")
    private Integer ivrMax;
    @TableField(value = "updatekey")
    private String updateKey;
    @TableField(value = "tclob")
    private String tClob;
    /**
     * 如果是pg等数据库，字段声明为bytea,则不需要BlobTypeHandler转换，如果声明为blob，则需要转换
     */

//    @TableField(value = "tblob", typeHandler = org.apache.ibatis.type.BlobTypeHandler.class)
    @TableField(value = "tblob")
    private byte[] tBlob;
}
